#include<bits/stdc++.h>
#define up(i, a, b) for(int i = (int)a; i <= (int)b; ++i)
#define dn(i, a, b) for(int i = (int)a; i >= (int)b; --i)
#define vc vector
#define pb push_back

using namespace std;

const int MN = 5e5 + 5;
const int Mod = 1e9 + 7;

signed main(){
	freopen("traverse.in", "r", stdin);
	freopen("traverse.out", "w", stdout);
	int c, n, T;
	scanf("%d%d", &c, &T);
	while(T--){
		scanf("%d", &n);
		puts("1");
	}
	
	return 0;
}
